Last Comment Bug 674791 - dragging the left text selection marker down selects to the bottom of the page
: dragging the left text selection marker down selects to the bottom of the page
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P3 normal (vote)
: Firefox 7
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
http://www.wired.com/threatlevel/2011...
Depends on:
Blocks: 661388 674659 675459 676008
  Show dependency treegraph
 
Reported: 2011-07-27 17:36 PDT by Kevin Brosnan [:kbrosnan]
Modified: 2011-08-09 18:44 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (59.93 KB, image/png)
2011-07-27 17:36 PDT, Kevin Brosnan [:kbrosnan]
no flags Details
patch (6.27 KB, patch)
2011-08-03 14:21 PDT, Mark Finkle (:mfinkle) (use needinfo?)
no flags Details | Diff | Splinter Review
patch 2 (7.20 KB, patch)
2011-08-03 14:33 PDT, Mark Finkle (:mfinkle) (use needinfo?)
wjohnston2000: review+
bugzilla: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Kevin Brosnan [:kbrosnan] 2011-07-27 17:36:37 PDT
Created attachment 548992 [details]
screenshot

1. open a page
2. select a word
3. drag the left selection marker down

results: from the right marker to the bottom of the page is selected

expected: selection should stay in the bounds of the markers
Comment 1 Kevin Brosnan [:kbrosnan] 2011-07-27 17:39:16 PDT
Moving the left selection marker up seems to produce similar results.
Comment 2 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-07-28 05:21:10 PDT
I assume you saw this on http://www.wired.com/threatlevel/2011/07/mit-webcam-swartz/ ?
Comment 3 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-07-28 05:35:51 PDT
Ok, I can reproduce it on that url.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-03 14:21:04 PDT
Created attachment 550510 [details] [diff] [review]
patch

The problem here is the cache.end position is "client" aligned and did not have the scrollOffset adjusted. The solution was to make sure the cache positions (start and end) were _always_ "client" oriented and to make the scrollOffset adjust in a local variable just for the mouse event.

That seems to fix the bug for me.

I also fixed bug 676008 by adjusting the initial x, y by scrollOffset too.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-03 14:33:14 PDT
Created attachment 550516 [details] [diff] [review]
patch 2

Same as last but changed a selection.collaspeToStart() -? selection.removeAllRanges() to fix bug 675459 too.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-04 12:28:23 PDT
pushed:
http://hg.mozilla.org/mozilla-central/rev/5684f06138f3
Comment 7 Aaron Train [:aaronmt] 2011-08-05 08:02:21 PDT
Verified Fixed
Mozilla/5.0 (Android; Linux armv7l; rv:8.0a1) Gecko/20110805 Firefox/8.0a1 Fennec/8.0a1
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-05 17:37:36 PDT
This mobile-only patch makes some solid fixes to the text selection mechanism in Fx8 and we'd like to see it on Fx7 too.

Fixes are limited to only the 2 or 3 text selection methods. Low risk.
Comment 9 Johnathan Nightingale [:johnath] 2011-08-09 14:24:35 PDT
Comment on attachment 550516 [details] [diff] [review]
patch 2

Get it landed this week, please
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-09 18:44:37 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/9d4a445ca235

Note You need to log in before you can comment on or make changes to this bug.